## binutils-mipsen 5+c5

=== debian/changelog ===
binutils-mipsen (5+c5) unstable; urgency=medium

  * Build with 2.34-2.

 -- YunQiang Su <syq@debian.org>  Mon, 03 Feb 2020 19:04:13 +0800

binutils-mipsen (5+c4) unstable; urgency=medium

  * Build with 2.33.50.20200115-2, which add back
    mips64-default-n64.diff

 -- YunQiang Su <syq@debian.org>  Sat, 18 Jan 2020 22:33:00 +0800

binutils-mipsen (5+c3) unstable; urgency=medium

  * Build with new binutils (2.33.50.20200114-1)

 -- YunQiang Su <syq@debian.org>  Wed, 15 Jan 2020 20:32:12 +0800

binutils-mipsen (5+c2) unstable; urgency=medium

  * Create stamp-dir in git and keep it with .placeholder file.

 -- YunQiang Su <syq@debian.org>  Fri, 10 Jan 2020 22:33:30 +0800

binutils-mipsen (5+c1) unstable; urgency=medium

  * Build with binutils 2.33.50.20200107-1.
  * Build Host on mips64el mipsel mips64r6el arm64 ppc64el.

 -- YunQiang Su <syq@debian.org>  Tue, 07 Jan 2020 14:39:42 +0800

binutils-mipsen (4+c6) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with binutils 2.33.1-5.

 -- Matthias Klose <doko@debian.org>  Sun, 08 Dec 2019 14:02:56 +0100

binutils-mipsen (4+c5) unstable; urgency=medium

  * Build with binutils 2.33-2.

 -- YunQiang Su <syq@debian.org>  Tue, 15 Oct 2019 11:02:59 +0800
