## binutils-mipsen 5+c6ubuntu1

=== debian/changelog ===
binutils-mipsen (5+c6ubuntu1) focal; urgency=medium

  * Fix control file generation.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Mar 2020 14:08:23 +0100

binutils-mipsen (5+c6build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 10:25:35 +0100

binutils-mipsen (5+c6) unstable; urgency=medium

  * Build with 2.34-5.

 -- YunQiang Su <syq@debian.org>  Sun, 22 Mar 2020 10:12:18 +0800
