=== debian/rules ===
--- 
+++ 
@@ -64,6 +64,7 @@
 	cp -r /usr/src/binutils/debian binutils-$(VER)/
 	cp -r /usr/src/binutils/patches binutils-$(VER)/debian
 	sed -i '/.*ps aux.*/d' binutils-$(VER)/debian/rules
+	set -e; \
 	cd binutils-$(VER) ;\
 	  for i in `ls $(CURDIR)/debian/patches/binutils/*.patch 2>/dev/null`; do \
 	    patch -p1 < $$i; \
