## binutils-mipsen 6+c1

=== debian/changelog ===
binutils-mipsen (6+c1) unstable; urgency=medium

  * Build with 2.35-1, with enable llsc workaround.
  * enable mipsel and mips64el cross targets for arm64 (Closes: #938979)
  * merge patch from Ubuntu 5+c6ubuntu1 to fix control generation
    on Ubuntu.

 -- YunQiang Su <syq@debian.org>  Sun, 22 Mar 2020 10:12:18 +0800
