## binutils-mipsen 7+c1

=== debian/changelog ===
binutils-mipsen (7+c1) unstable; urgency=medium

  * Build with binutils 2.35.1-6.

  [Helmut Grohne]
  * Fix FTCBFS: (Closes: #977281)
    + Explicitly forward host architecture to dpkg-buildpackage.
    + Missing Build-Depends: zlib1g-dev.
  * Forward nocheck and parallel build options.

 -- YunQiang Su <syq@debian.org>  Mon, 28 Dec 2020 11:21:56 +0800

binutils-mipsen (6+c3) unstable; urgency=medium

  * Build with binutils 2.35.1-4.

 -- YunQiang Su <syq@debian.org>  Sun, 13 Dec 2020 15:32:25 +0800

binutils-mipsen (6+c2) unstable; urgency=medium

  * Build with 2.35.1-2.

 -- YunQiang Su <syq@debian.org>  Wed, 04 Nov 2020 09:13:39 +0800
