=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: YunQiang Su <syq@debian.org>
 Build-Depends: debhelper (>= 11), bison, flex,
  dejagnu, chrpath, lsb-release,
- binutils-source (>= 2.35-1)
+ binutils-source (>= 2.35.1-2), zlib1g-dev
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/toolchain-team/binutils-mipsen
 Vcs-Git: https://salsa.debian.org/toolchain-team/binutils-mipsen.git
