## binutils-mipsen 7+c2

=== debian/changelog ===
binutils-mipsen (7+c2) unstable; urgency=medium

  * Add debugedit to build-dep . (Closes: #986508)
  * Build with binutils 2.35.2-2.

 -- YunQiang Su <syq@debian.org>  Wed, 07 Apr 2021 18:03:21 +0800
