=== debian/rules ===
--- 
+++ 
@@ -79,7 +79,7 @@
 
 stamp-dir/build: stamp-dir/prepare
 	cd binutils-$(VER); \
-		DEB_BUILD_OPTIONS="nomult nohppa" CROSS_ARCHS="$(ARCHSF)" dpkg-buildpackage -B -d -uc -us
+		DEB_BUILD_OPTIONS="nomult nohppa $(filter nocheck parallel=%,$(DEB_BUILD_OPTIONS))" CROSS_ARCHS="$(ARCHSF)" dpkg-buildpackage -B -d -uc -us -a$(DEB_HOST_ARCH)
 	touch $@
 
 $(ARCHSF): build-arch
