## binutils-mipsen 7+c2.1

=== debian/changelog ===
binutils-mipsen (7+c2.1) impish; urgency=medium

  * Drop the local patch.
  * Build with binutils 2.36.1.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 27 May 2021 16:51:47 +0200
