## binutils-mipsen 9+c2

=== debian/changelog ===
binutils-mipsen (9+c2) unstable; urgency=medium

  * Rebuild with binutils 2.38-1.

 -- YunQiang Su <syq@debian.org>  Wed, 16 Feb 2022 13:00:37 +0000

binutils-mipsen (9+c1) unstable; urgency=medium

  * Build-Depends on zlib1g-dev to fix cross buildable (Closes: #1001511)
  * Build with binutils 2.37-10.

 -- YunQiang Su <syq@debian.org>  Mon, 13 Dec 2021 13:02:41 +0000

binutils-mipsen (8+c4) unstable; urgency=medium

  * Upload to unstable
  * Build with binutils 2.37-4.

 -- YunQiang Su <syq@debian.org>  Thu, 19 Aug 2021 09:22:41 +0800

binutils-mipsen (8+c3) experimental; urgency=medium

  * Fix repack version replace due to source pkgname changes.

 -- YunQiang Su <syq@debian.org>  Mon, 26 Apr 2021 11:35:02 +0800

binutils-mipsen (8+c2) experimental; urgency=medium

  * sed -i binutils/control.in to bintuils-mipsen.

 -- YunQiang Su <syq@debian.org>  Sun, 25 Apr 2021 18:12:49 +0800

binutils-mipsen (8+c1) experimental; urgency=medium

  * Build with binutils 2.36.1-6.

 -- YunQiang Su <syq@debian.org>  Sun, 25 Apr 2021 16:17:49 +0800
