=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: YunQiang Su <syq@debian.org>
 Build-Depends: debhelper (>= 11), bison, flex,
  dejagnu, chrpath, lsb-release, debugedit,
- binutils-source (>= 2.35.1-2)
-Standards-Version: 4.5.0
+ binutils-source (>= 2.37-10), zlib1g-dev
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/toolchain-team/binutils-mipsen
 Vcs-Git: https://salsa.debian.org/toolchain-team/binutils-mipsen.git
