## binutils-mipsen 10+c1

=== debian/changelog ===
binutils-mipsen (10+c1) unstable; urgency=medium

  * Rebuild with binutils 2.39.90.20230104-1.
  * Sync build-dep, build-conflicts from binutils (Closes: #1026632).

 -- YunQiang Su <syq@debian.org>  Mon, 09 Jan 2023 13:12:12 +0800

binutils-mipsen (9+c4) unstable; urgency=medium

  * Rebuild with binutils 2.39-8.

 -- YunQiang Su <syq@debian.org>  Mon, 05 Dec 2022 15:35:36 +0800

binutils-mipsen (9+c3) unstable; urgency=medium

  * Rebuild with binutils 2.39-7.

 -- YunQiang Su <syq@debian.org>  Wed, 12 Oct 2022 14:42:17 +0800
