=== debian/control ===
--- 
+++ 
@@ -2,9 +2,13 @@
 Section: devel
 Priority: optional
 Maintainer: YunQiang Su <syq@debian.org>
-Build-Depends: debhelper (>= 11), bison, flex,
- dejagnu, chrpath, lsb-release, debugedit,
- binutils-source (>= 2.37-10), zlib1g-dev
+Build-Depends: autoconf (>= 2.64), dpkg-dev (>= 1.19.0.5),
+ bison, flex, gettext, texinfo, dejagnu, quilt, chrpath, dwz, debugedit (>= 4.16),
+ python3:any, file, xz-utils, lsb-release, zlib1g-dev, procps, help2man,
+ libjansson-dev, pkg-config, libzstd-dev,
+ binutils-source (>= 2.39.90.20230104-1)
+Build-Conflicts: libelf-dev
+Rules-Requires-Root: no
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/toolchain-team/binutils-mipsen
 Vcs-Git: https://salsa.debian.org/toolchain-team/binutils-mipsen.git
@@ -300,7 +304,3 @@
 Package: binutils-mipsisa64r6-linux-gnuabi64-dbg
 Section: debug
 Priority: optional
-Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
-Multi-Arch: foreign
-Depends: binutils-mipsisa64r6-linux-gnuabi64 (= ${binary:Version})
-Description: GNU binary utilities, for mipsisa64r6-linux-gnuabi64 target (debug symbols)
