## binutils-mipsen 10+c2

=== debian/changelog ===
binutils-mipsen (10+c2) unstable; urgency=medium

  * Build with binutils 2.40-2. 

 -- YunQiang Su <syq@debian.org>  Mon, 06 Feb 2023 15:05:05 +0800
