## binutils-mipsen 10+c4

=== debian/changelog ===
binutils-mipsen (10+c4) unstable; urgency=medium

  * Build with binutils 2.40.90.20230705-1.
    Closes: #1040621.

 -- YunQiang Su <syq@debian.org>  Mon, 10 Jul 2023 11:21:54 +0800

binutils-mipsen (10+c3) unstable; urgency=medium

  * Build with binutils 2.40.50.20230611-2.

 -- YunQiang Su <syq@debian.org>  Tue, 20 Jun 2023 15:49:36 +0800
