=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  bison, flex, gettext, texinfo, dejagnu, quilt, chrpath, dwz, debugedit (>= 4.16),
  python3:any, file, xz-utils, lsb-release, zlib1g-dev, procps, help2man,
  libjansson-dev, pkg-config, libzstd-dev,
- binutils-source (>= 2.40-2)
+ binutils-source (>= 2.40.90.20230705-1)
 Build-Conflicts: libelf-dev
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
@@ -21,8 +21,8 @@
   ${shlibs:Depends}, ${extraDepends}
 Suggests: binutils-doc
 Provides: 
-Breaks: binutils (<< 2.29-6)
-Replaces: binutils (<< 2.29-6)
+Breaks: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
+Replaces: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
 Built-Using: ${Built-Using}
 Description: GNU binary utilities, for mips-linux-gnu target
  This package provides GNU assembler, linker and binary utilities
@@ -48,8 +48,8 @@
   ${shlibs:Depends}, ${extraDepends}
 Suggests: binutils-doc
 Provides: 
-Breaks: binutils (<< 2.29-6)
-Replaces: binutils (<< 2.29-6)
+Breaks: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
+Replaces: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
 Built-Using: ${Built-Using}
 Description: GNU binary utilities, for mipsel-linux-gnu target
  This package provides GNU assembler, linker and binary utilities
@@ -75,8 +75,8 @@
   ${shlibs:Depends}, ${extraDepends}
 Suggests: binutils-doc
 Provides: 
-Breaks: binutils (<< 2.29-6)
-Replaces: binutils (<< 2.29-6)
+Breaks: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
+Replaces: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
 Built-Using: ${Built-Using}
 Description: GNU binary utilities, for mips64-linux-gnuabi64 target
  This package provides GNU assembler, linker and binary utilities
@@ -102,8 +102,8 @@
   ${shlibs:Depends}, ${extraDepends}
 Suggests: binutils-doc
 Provides: 
-Breaks: binutils (<< 2.29-6)
-Replaces: binutils (<< 2.29-6)
+Breaks: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
+Replaces: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
 Built-Using: ${Built-Using}
 Description: GNU binary utilities, for mips64el-linux-gnuabi64 target
  This package provides GNU assembler, linker and binary utilities
@@ -129,8 +129,8 @@
   ${shlibs:Depends}, ${extraDepends}
 Suggests: binutils-doc
 Provides: 
-Breaks: binutils (<< 2.29-6)
-Replaces: binutils (<< 2.29-6)
+Breaks: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
+Replaces: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
 Built-Using: ${Built-Using}
 Description: GNU binary utilities, for mips64-linux-gnuabin32 target
  This package provides GNU assembler, linker and binary utilities
@@ -156,8 +156,8 @@
   ${shlibs:Depends}, ${extraDepends}
 Suggests: binutils-doc
 Provides: 
-Breaks: binutils (<< 2.29-6)
-Replaces: binutils (<< 2.29-6)
+Breaks: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
+Replaces: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
 Built-Using: ${Built-Using}
 Description: GNU binary utilities, for mips64el-linux-gnuabin32 target
  This package provides GNU assembler, linker and binary utilities
@@ -183,8 +183,8 @@
   ${shlibs:Depends}, ${extraDepends}
 Suggests: binutils-doc
 Provides: 
-Breaks: binutils (<< 2.29-6)
-Replaces: binutils (<< 2.29-6)
+Breaks: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
+Replaces: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
 Built-Using: ${Built-Using}
 Description: GNU binary utilities, for mipsisa64r6-linux-gnuabin32 target
  This package provides GNU assembler, linker and binary utilities
@@ -210,8 +210,8 @@
   ${shlibs:Depends}, ${extraDepends}
 Suggests: binutils-doc
 Provides: 
-Breaks: binutils (<< 2.29-6)
-Replaces: binutils (<< 2.29-6)
+Breaks: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
+Replaces: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
 Built-Using: ${Built-Using}
 Description: GNU binary utilities, for mipsisa64r6el-linux-gnuabin32 target
  This package provides GNU assembler, linker and binary utilities
@@ -237,8 +237,8 @@
   ${shlibs:Depends}, ${extraDepends}
 Suggests: binutils-doc
 Provides: 
-Breaks: binutils (<< 2.29-6)
-Replaces: binutils (<< 2.29-6)
+Breaks: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
+Replaces: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
 Built-Using: ${Built-Using}
 Description: GNU binary utilities, for mipsisa32r6-linux-gnu target
  This package provides GNU assembler, linker and binary utilities
@@ -264,8 +264,8 @@
   ${shlibs:Depends}, ${extraDepends}
 Suggests: binutils-doc
 Provides: 
-Breaks: binutils (<< 2.29-6)
-Replaces: binutils (<< 2.29-6)
+Breaks: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
+Replaces: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
 Built-Using: ${Built-Using}
 Description: GNU binary utilities, for mipsisa32r6el-linux-gnu target
  This package provides GNU assembler, linker and binary utilities
@@ -284,23 +284,3 @@
  This package provides debug symbols for binutils-mipsisa32r6el-linux-gnu.
 
 Package: binutils-mipsisa64r6-linux-gnuabi64
-Priority: optional
-Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
-Multi-Arch: allowed
-Depends: binutils-common,
-  ${shlibs:Depends}, ${extraDepends}
-Suggests: binutils-doc
-Provides: 
-Breaks: binutils (<< 2.29-6)
-Replaces: binutils (<< 2.29-6)
-Built-Using: ${Built-Using}
-Description: GNU binary utilities, for mipsisa64r6-linux-gnuabi64 target
- This package provides GNU assembler, linker and binary utilities
- for the mipsisa64r6-linux-gnuabi64 target.
- .
- You don't need this package unless you plan to cross-compile programs
- for mipsisa64r6-linux-gnuabi64 and mipsisa64r6-linux-gnuabi64 is not your native platform.
-
-Package: binutils-mipsisa64r6-linux-gnuabi64-dbg
-Section: debug
-Priority: optional
