## binutils-mipsen 10+c5

=== debian/changelog ===
binutils-mipsen (10+c5) unstable; urgency=medium

  * Build with binutils 2.41-4.

 -- YunQiang Su <syq@debian.org>  Tue, 15 Aug 2023 15:03:34 +0800
