=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  bison, flex, gettext, texinfo, dejagnu, quilt, chrpath, dwz, debugedit (>= 4.16),
  python3:any, file, xz-utils, lsb-release, zlib1g-dev, procps, help2man,
  libjansson-dev, pkg-config, libzstd-dev,
- binutils-source (>= 2.40.90.20230705-1)
+ binutils-source (>= 2.41-4)
 Build-Conflicts: libelf-dev
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
