=== debian/rules ===
--- 
+++ 
@@ -73,8 +73,9 @@
 	    tmp=`echo $(HOST_ARCH) | sed "s/ $$a / /g" | sed "s/ $$a$$//g"`; \
 	    sed -i "s/^HOST_ARCHS_$$a = .*/HOST_ARCHS_$$a = $$tmp/g" debian/rules; \
 	  done
-	sed -i 's/src_name := .*/src_name := $(DEB_NAME_ACT)/g' binutils-$(VER)/debian/rules
-	env -i CROSS_ARCHS="$(ARCHSF)" make -C binutils-$(VER) -f debian/rules stamps/control ## don't try to make it simpler ....
+	sed -i '1 s/binutils /binutils-mipsen /g' binutils-$(VER)/debian/changelog
+	sed -i '1 s/Source: binutils/Source: binutils-mipsen/g' binutils-$(VER)/debian/control.in
+	env -i CROSS_ARCHS="$(ARCHSF)" PATH="/usr/bin:/bin" make -C binutils-$(VER) -f debian/rules stamps/control ## don't try to make it simpler ....
 	touch $@
 
 stamp-dir/build: stamp-dir/prepare
@@ -90,7 +91,7 @@
 	  rm -rf $$pkg_d; \
 	  echo dpkg-deb -R $$pkg $$pkg_d; \
 	  dpkg-deb -R $$pkg $$pkg_d; \
-	  sed -i 's/Source: binutils/Source: $(DEB_NAME_ACT) ($(DEB_SVER_ACT))/g' $$pkg_d/DEBIAN/control; \
+	  sed -i 's/Source: binutils.*/Source: $(DEB_NAME_ACT) ($(DEB_SVER_ACT))/g' $$pkg_d/DEBIAN/control; \
 	  sed -i 's/Version: .*/Version: $(DVER_T)/g' $$pkg_d/DEBIAN/control; \
 	  sed -i '/^Built-Using/! s/ (= $(DVER))/ (>= $(DVER))/g' $$pkg_d/DEBIAN/control; \
 	  if [ -f "$$pkg_d/usr/share/doc/binutils-$${type}/changelog.Debian.gz" ]; then \
