## binutils-mipsen 11+c1

=== debian/changelog ===
binutils-mipsen (11+c1) unstable; urgency=medium

  * Rewrite debian/control generation with Python.
  * Build with binutils 2.42-2.

 -- YunQiang Su <syq@debian.org>  Mon, 27 May 2024 14:37:35 +0800
