## binutils-mipsen 11+c2

=== debian/changelog ===
binutils-mipsen (11+c2) unstable; urgency=medium

  * Rebuild with binutils 2.42.90.20240720-2.

 -- YunQiang Su <syq@debian.org>  Wed, 31 Jul 2024 20:53:09 +0800
