=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  bison, flex, gettext, texinfo, dejagnu, quilt, chrpath, dwz, debugedit (>= 4.16),
  python3:any, file, xz-utils, lsb-release, zlib1g-dev, procps, help2man,
  libjansson-dev, pkg-config, libzstd-dev,
- binutils-source (>= 2.41-4)
+ binutils-source (>= 2.42-2)
 Build-Conflicts: libelf-dev
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
@@ -175,6 +175,60 @@
 Description: GNU binary utilities, for mips64el-linux-gnuabin32 target (debug symbols)
  This package provides debug symbols for binutils-mips64el-linux-gnuabin32.
 
+Package: binutils-mipsisa32r6-linux-gnu
+Priority: optional
+Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
+Multi-Arch: allowed
+Depends: binutils-common,
+  ${shlibs:Depends}, ${extraDepends}
+Suggests: binutils-doc
+Provides: 
+Breaks: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
+Replaces: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
+Built-Using: ${Built-Using}
+Description: GNU binary utilities, for mipsisa32r6-linux-gnu target
+ This package provides GNU assembler, linker and binary utilities
+ for the mipsisa32r6-linux-gnu target.
+ .
+ You don't need this package unless you plan to cross-compile programs
+ for mipsisa32r6-linux-gnu and mipsisa32r6-linux-gnu is not your native platform.
+
+Package: binutils-mipsisa32r6-linux-gnu-dbg
+Section: debug
+Priority: optional
+Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
+Multi-Arch: foreign
+Depends: binutils-mipsisa32r6-linux-gnu (= ${binary:Version})
+Description: GNU binary utilities, for mipsisa32r6-linux-gnu target (debug symbols)
+ This package provides debug symbols for binutils-mipsisa32r6-linux-gnu.
+
+Package: binutils-mipsisa32r6el-linux-gnu
+Priority: optional
+Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
+Multi-Arch: allowed
+Depends: binutils-common,
+  ${shlibs:Depends}, ${extraDepends}
+Suggests: binutils-doc
+Provides: 
+Breaks: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
+Replaces: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
+Built-Using: ${Built-Using}
+Description: GNU binary utilities, for mipsisa32r6el-linux-gnu target
+ This package provides GNU assembler, linker and binary utilities
+ for the mipsisa32r6el-linux-gnu target.
+ .
+ You don't need this package unless you plan to cross-compile programs
+ for mipsisa32r6el-linux-gnu and mipsisa32r6el-linux-gnu is not your native platform.
+
+Package: binutils-mipsisa32r6el-linux-gnu-dbg
+Section: debug
+Priority: optional
+Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
+Multi-Arch: foreign
+Depends: binutils-mipsisa32r6el-linux-gnu (= ${binary:Version})
+Description: GNU binary utilities, for mipsisa32r6el-linux-gnu target (debug symbols)
+ This package provides debug symbols for binutils-mipsisa32r6el-linux-gnu.
+
 Package: binutils-mipsisa64r6-linux-gnuabin32
 Priority: optional
 Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
@@ -229,58 +283,4 @@
 Description: GNU binary utilities, for mipsisa64r6el-linux-gnuabin32 target (debug symbols)
  This package provides debug symbols for binutils-mipsisa64r6el-linux-gnuabin32.
 
-Package: binutils-mipsisa32r6-linux-gnu
-Priority: optional
-Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
-Multi-Arch: allowed
-Depends: binutils-common,
-  ${shlibs:Depends}, ${extraDepends}
-Suggests: binutils-doc
-Provides: 
-Breaks: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
-Replaces: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
-Built-Using: ${Built-Using}
-Description: GNU binary utilities, for mipsisa32r6-linux-gnu target
- This package provides GNU assembler, linker and binary utilities
- for the mipsisa32r6-linux-gnu target.
- .
- You don't need this package unless you plan to cross-compile programs
- for mipsisa32r6-linux-gnu and mipsisa32r6-linux-gnu is not your native platform.
-
-Package: binutils-mipsisa32r6-linux-gnu-dbg
-Section: debug
-Priority: optional
-Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
-Multi-Arch: foreign
-Depends: binutils-mipsisa32r6-linux-gnu (= ${binary:Version})
-Description: GNU binary utilities, for mipsisa32r6-linux-gnu target (debug symbols)
- This package provides debug symbols for binutils-mipsisa32r6-linux-gnu.
-
-Package: binutils-mipsisa32r6el-linux-gnu
-Priority: optional
-Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
-Multi-Arch: allowed
-Depends: binutils-common,
-  ${shlibs:Depends}, ${extraDepends}
-Suggests: binutils-doc
-Provides: 
-Breaks: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
-Replaces: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
-Built-Using: ${Built-Using}
-Description: GNU binary utilities, for mipsisa32r6el-linux-gnu target
- This package provides GNU assembler, linker and binary utilities
- for the mipsisa32r6el-linux-gnu target.
- .
- You don't need this package unless you plan to cross-compile programs
- for mipsisa32r6el-linux-gnu and mipsisa32r6el-linux-gnu is not your native platform.
-
-Package: binutils-mipsisa32r6el-linux-gnu-dbg
-Section: debug
-Priority: optional
-Architecture: amd64 i386 x32 mips64el mipsel mips64r6el arm64 ppc64el
-Multi-Arch: foreign
-Depends: binutils-mipsisa32r6el-linux-gnu (= ${binary:Version})
-Description: GNU binary utilities, for mipsisa32r6el-linux-gnu target (debug symbols)
- This package provides debug symbols for binutils-mipsisa32r6el-linux-gnu.
-
 Package: binutils-mipsisa64r6-linux-gnuabi64
