=== debian/rules ===
--- 
+++ 
@@ -26,36 +26,17 @@
 
 stamp-dir/control: stamp-dir/prepare
 	cat debian/control.in > debian/control.tmp
-	nl=""; IFS= ; while read -r line; do \
-	   if [ "$$line" = "" ];then \
-	     nl=""; \
-	     continue; \
-	   fi; \
-	   for a in $(ARCHS); do \
-	     t=`echo $(ARCHS_MAP) | sed "s/.*$${a}=//g" | sed 's/ .*//g'`; \
-	     tmp=`echo $$line | grep "Package: binutils-$$t"`; \
-	     if [ -n "$$tmp" ];then \
-	       echo ""; \
-	       echo $$line; \
-	       nl="$$a"; \
-	       continue 2; \
-	     fi; \
-	   done; \
-	   if [ "$$nl" != "" ] && [ "$$line" != "" ];then \
-	     tmp=`echo $$line | grep '^Architecture: '`; \
-	     if [ -n "$$tmp" ];then \
-	       line=`echo "Architecture: $(HOST_ARCH)" | sed "s/ $$nl / /g" | sed "s/ $$nl$$//g"`; \
-	     fi; \
-	     echo $$line; \
-	   fi; \
-	done < binutils-$(VER)/debian/control >> debian/control.tmp
+	echo $(ARCHS_MAP) > stamp-dir/archmap.tmp
+	echo $(HOST_ARCH) >> stamp-dir/archmap.tmp
+	cp binutils-$(VER)/debian/control stamp-dir/fullc.tmp
+	python3 debian/binary-control.py >> debian/control.tmp
 	sed -i 's/binutils-common (= [^ ]*)/binutils-common/g' debian/control.tmp
 	sed -i 's/binutils-doc (= [^ ]*)/binutils-doc/g' debian/control.tmp
 	mv debian/control.tmp debian/control
 	touch $@
 
 clean:
-	rm -rf binutils* libbinutils* stamp-dir/* debian/control.tmp debian/files
+	rm -rf binutils* libbinutils* stamp-dir/* debian/control.tmp debian/files *.deb
 
 stamp-dir/prepare:
 	rm -rf binutils* libbinutils*
