## binutils-mipsen 12+c1

=== debian/changelog ===
binutils-mipsen (12+c1) unstable; urgency=medium

  * Add default-jdk-headless to build-dep. (Closes: #1081858)
  * Rebuild with binutils-source 2.43.1-4.

 -- YunQiang Su <syq@debian.org>  Wed, 18 Sep 2024 13:31:42 +0800
